/* -*- Mode: C; indent-tabs-mode: t; c-basic-offset: 4; tab-width: 4 -*- */
/*
 * callbacks.h
 * Copyright (C) Administrator 2010 <administrator@>
 * 
 * GRAFFITI is free software: you can redistribute it and/or modify it
 * under the terms of the GNU General Public License as published by the
 * Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 * 
 * GRAFFITI is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 * See the GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License along
 * with this program.  If not, see <http://www.gnu.org/licenses/>.
 */


#include <gtk/gtk.h>


//definicion de variables globales a todos los elementos

GtkWidget *window;

GtkLabel *label_x;   //etiqueta de depuracion
GtkLabel *label_Xmax;
GtkLabel *label_Ymax;
GtkLabel *label_Xmin;
GtkLabel *label_Ymin;
GtkLabel *label_Xreal;
GtkLabel *label_Yreal;
GtkLabel *label_Xdiagonal;
GtkLabel *label_Ydiagonal;
GtkLabel *label_S1;
GtkLabel *label_S2;
GtkLabel *label_zoom_X;
GtkLabel *label_zoom_Y;
GtkLabel *label_seleccionada;
GtkColorButton *color_S1;
GtkColorButton *color_S2;
GtkColorButton *color_S3;
GtkColorButton *color_S4;


GtkDrawingArea *draw_area;

void destroy (GtkWidget *widget, gpointer data);
void on_checkbutton1_toggled(GtkWidget *widget, gpointer data);
void on_checkbutton2_toggled(GtkWidget *widget, gpointer data);
void on_checkbutton3_toggled(GtkWidget *widget, gpointer data);
void on_checkbutton4_toggled(GtkWidget *widget, gpointer data);
void on_checkbuttonGRIDD_toggled(GtkWidget *widget, gpointer data);
void on_checkbuttonDOTS_toggled(GtkWidget *widget, gpointer data);
//gboolean on_drawingarea1_expose_event(GtkWidget *widget,GdkEventExpose *event,gpointer data);
gboolean on_window_button_press_event(GtkWidget *widget, GdkEventButton *event,gpointer user_data);
gboolean on_window_button_release_event(GtkWidget *widget, GdkEventButton *event,gpointer user_data);
//gboolean on_drawingarea1_button_press_event(GtkWidget *widget, GdkEventButton *event,gpointer user_data);
void on_button1_clicked(GtkWidget *widget,gpointer user_data);
void on_button2_clicked(GtkWidget *widget,gpointer user_data);
void on_button3_clicked(GtkWidget *widget,gpointer user_data);
void on_button4_clicked(GtkWidget *widget,gpointer user_data);
void draw_plot(void);
void read_data(void);
void read_standar(int argc, char *argv[]);
void calcular_zoom(void);
void modificar_datos(void);
void buscar_max_min(int);
void buscar_limites(void);
void reset_ZOOM(void);
void seleccionS(int);